TypeMapping (Axis API)
Keywords: org.apache.axis.encoding.TypeMapping interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Interface TypeMapping

All Superinterfaces:
  java.io.Serializable, TypeMapping

All Known Implementing Classes:
  TypeMappingDelegate

public interface TypeMapping
extends TypeMapping, java.io.Serializable

This interface describes the AXIS TypeMapping.

Method Summary
`java.lang.Class[]` | `getAllClasses()` Returns an array of all the classes contained within this mapping
`java.lang.Class` | `getClassForQName(QName xmlType)` Gets the Class mapped to QName.
`java.lang.Class` | `getClassForQName(QName xmlType, java.lang.Class javaType)`
`DeserializerFactory` | `getDeserializer(QName xmlType)` Gets the DeserializerFactory registered for the specified XML data type.
`SerializerFactory` | `getSerializer(java.lang.Class javaType)` Gets the SerializerFactory registered for the specified pair of Java type and XML data type.
`QName` | `getTypeQName(java.lang.Class javaType)` Gets the QName for the type mapped to Class.
`QName` | `getTypeQNameExact(java.lang.Class javaType)` Get the QName for this Java class, but only return a specific mapping if there is one.
`QName` | `getXMLType(java.lang.Class javaType, QName xmlType, boolean encoded)` Get the exact XML type QName which will be used when serializing a given Class to a given type QName.

Methods inherited from interface javax.xml.rpc.encoding.TypeMapping
`getDeserializer, getSerializer, getSupportedEncodings, isRegistered, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Method Detail

### getSerializer

    public SerializerFactory getSerializer(java.lang.Class javaType)
                                    throws JAXRPCException

  Gets the SerializerFactory registered for the specified pair of Java type and XML data type.

  Parameters:
    `javaType` - - Class of the Java type
  Returns:
    Registered SerializerFactory
  Throws:
    `JAXRPCException` - - If there is no registered SerializerFactory for this pair of Java type and XML data type java.lang.IllegalArgumentException If invalid or unsupported XML/Java type is specified

### getDeserializer

    public DeserializerFactory getDeserializer(QName xmlType)
                                        throws JAXRPCException

  Gets the DeserializerFactory registered for the specified XML data type.

  Parameters:
    `xmlType` - - Qualified name of the XML data type
  Returns:
    Registered DeserializerFactory
  Throws:
    `JAXRPCException` - - If there is no registered DeserializerFactory for this pair of Java type and XML data type java.lang.IllegalArgumentException - If invalid or unsupported XML/Java type is specified

### getTypeQName

    public QName getTypeQName(java.lang.Class javaType)

  Gets the QName for the type mapped to Class.

  Parameters:
    `javaType` - class or type
  Returns:
    xmlType qname or null

### getTypeQNameExact

    public QName getTypeQNameExact(java.lang.Class javaType)

  Get the QName for this Java class, but only return a specific mapping if there is one. In other words, don't do special array processing, etc.

  Parameters:
    `javaType` -
  Returns:

### getClassForQName

    public java.lang.Class getClassForQName(QName xmlType)

  Gets the Class mapped to QName.

  Parameters:
    `xmlType` - qname or null
  Returns:
    javaType class for type or null for no mapping

### getClassForQName

    public java.lang.Class getClassForQName(QName xmlType,
                                            java.lang.Class javaType)

### getAllClasses

    public java.lang.Class[] getAllClasses()

  Returns an array of all the classes contained within this mapping

### getXMLType

    public QName getXMLType(java.lang.Class javaType,
                            QName xmlType,
                            boolean encoded)
                     throws JAXRPCException

  Get the exact XML type QName which will be used when serializing a given Class to a given type QName. In other words, if we have: Class TypeQName ---------------------- Base myNS:Base Child myNS:Child and call getXMLType(Child.class, BASE_QNAME), we should get CHILD_QNAME.

  Parameters:
    `javaType` -
    `xmlType` -
  Returns:
    the type's QName
  Throws:
    `JAXRPCException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.